#include <vector>
#include <iostream> 
#include <tuple>
#include <string>
#include <algorithm>
#include <set>
#include <map>
using namespace std;

void Print1(map<string, int>& mp)
{
	for (auto& p : mp)
		cout << p.first << ' ' << p.second << '\n';
	cout << '\n';
}

void Print2(auto& mp)
{
	for (auto [name, tel] : mp)
		cout << name << ' ' << tel << '\n';
	cout << '\n';
}

int main()
{
	map<string, int> mp = 
	{
		{"Nicu", 38743467},
		{"Ana",  76387434},
		{"Dinu", 11243467},
		{"Radu", 12334884},
		{"Laura",39981233}
	};
	
	mp["Liana"] = 2376449; // adauga un pair cu cheia "Vasile" si valoarea 2376449
	Print1(mp);
	
	mp["Nicu"] = 1111111;  // modifica valoarea asociata cheii "Nicu"
	Print1(mp);
}

