// Normalizarea unui sir numeric
/*
 *  110 25  70  33  44  110 25  33
     5   1   4   2   3    5  1  2 
 * 
 * 
 */ 
#include <vector>
#include <fstream> 
#include <tuple>
#include <string>
#include <algorithm>
#include <set>
#include <map>
using namespace std;


using VI = vector<int>;

VI a;
VI b;
int n;

ifstream fin("normalizare_sir.in");
ofstream fout("normalizare_sir.out");

void Scrie(VI& a, int n);

int main()
{
	fin >> n;
	a = VI(n + 1);
	for (int i = 1; i <= n; ++i)
		fin >> a[i];
	
	b = a;
	sort(b.begin() + 1, b.end()); // valorile sunt numai de la poz 1
	
	// idiomul erase-unique (sterge duplicatele)
	b.erase(unique(b.begin() + 1, b.end()), b.end());

//	int k = b.size() - 1;	
//	Scrie(b, k);
	
	for (int i = 1; i <= n; ++i)
		a[i] = lower_bound(b.begin() + 1, b.end(), a[i]) - b.begin();
	
	Scrie(a, n);
	return 0;
}

void Scrie(VI& a, int n)
{
	for (int i = 1; i <= n; ++i)
		fout << a[i] << ' ';
	fout << '\n';
	
}


