#include <vector>
#include <iostream> 
#include <queue>
#include <tuple>
#include <string>
#include <algorithm>
#include <set>
using namespace std;

void Print1(set<string, greater<string>> s)
{
	for (auto x : s)
		cout << x << ' ';
	cout << '\n';
}


void Print2(set<string> s)
{
	for (auto x : s)
		cout << x << ' ';
	cout << '\n';
}

int main()
{
	//set<string, greater<string>> s;
	set<string> s;
	
	s.insert("Nicu"); // O(log2(size))
	s.insert("Radu");
	s.insert("Ioana");
	s.insert("Ana");
	s.insert("Doru");
	
	cout << *s.begin() << '\n'; // Q.top();
	Print2(s);
	s.erase(s.begin());        // Q.pop();
	Print2(s);
	
	s.insert("Diana");         // Q.push("Diana"); 
	
	Print2(s);
}

